# Class ThreadDeath

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.ThreadDeath

All Implemented Interfaces:
  `Serializable`

@Deprecated(since="20", forRemoval=true) public class ThreadDeath extends Error
Deprecated, for removal: This API element is subject to removal in a future version.
`Thread.stop()` was originally specified to "stop" a victim thread by causing the victim thread to throw a `ThreadDeath`. It was inherently unsafe and deprecated in an early JDK release. The ability to "stop" a thread with `Thread.stop` has been removed and the `Thread.stop` method changed to throw an exception. Consequently, `ThreadDeath` is also deprecated, for removal.
An instance of `ThreadDeath` was originally specified to be thrown by a victim thread when "stopped" with `Thread.stop()`.

Since:
  1.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ThreadDeath()`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a `ThreadDeath`.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ThreadDeath

public ThreadDeath()
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a `ThreadDeath`.